CVC4::BitVectorRotateRight Struct Reference

`#include <bitvector.h>`

## Public Member Functions

| BitVectorRotateRight (unsigned rotateRightAmount)
| operator unsigned () const

## Data Fields

unsigned | rotateRightAmount

## Detailed Description

Definition at line 489 of file bitvector.h.

## Constructor & Destructor Documentation

## BitVectorRotateRight()

CVC4::BitVectorRotateRight::BitVectorRotateRight | ( | unsigned | rotateRightAmount | ) |

inline

Definition at line 491 of file bitvector.h.

## Member Function Documentation

## operator unsigned()

CVC4::BitVectorRotateRight::operator unsigned | ( |  | ) | const

inline

Definition at line 493 of file bitvector.h.

## Field Documentation

## rotateRightAmount

unsigned CVC4::BitVectorRotateRight::rotateRightAmount

Definition at line 490 of file bitvector.h.

The documentation for this struct was generated from the following file:

- src/util/bitvector.h